/*
 * Copyright 2006 Mask@ Project.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.maskat.framework.screendef;

public class CodeLibDef extends ComponentDef {
	private String url;

	private String boolWithLabel;

	private String arrValue;

	private String submitOnload;

	private String alwaysRefresh;

	private String codeWidth;

	public boolean hasLabelInput() {
		return "true".equalsIgnoreCase(boolWithLabel);
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getBoolWithLabel() {
		return boolWithLabel;
	}

	public void setBoolWithLabel(String withLabelInput) {
		this.boolWithLabel = withLabelInput;
		firePropertyChange("boolWithLabel", "", null);
	}

	public String getAlwaysRefresh() {
		return alwaysRefresh;
	}

	public void setAlwaysRefresh(String alwaysRefresh) {
		this.alwaysRefresh = alwaysRefresh;
	}

	public String getArrValue() {
		return arrValue;
	}

	public void setArrValue(String arrValue) {
		this.arrValue = arrValue;
	}

	public String getCodeWidth() {
		return codeWidth;
	}

	public void setCodeWidth(String codeWidth) {
		this.codeWidth = codeWidth;
	}

	public String getSubmitOnload() {
		return submitOnload;
	}

	public void setSubmitOnload(String submitOnload) {
		this.submitOnload = submitOnload;
	}

}
